Package org.apache.commons.lang3.arch

## Enum Processor.Type

- java.lang.Object
- - java.lang.Enum<Processor.Type>
  - - org.apache.commons.lang3.arch.Processor.Type

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Processor.Type>`

Enclosing class:
  Processor

    public static enum Processor.Type
    extends java.lang.Enum<Processor.Type>

The `Processor.Type` enum defines types of a microprocessor. The following types are defined:

- x86
- ia64
- PPC
- Unknown

### Enum Constant Summary

Enum Constants
`IA_64` Intel Itanium 64-bit architecture.
`PPC` Apple–IBM–Motorola PowerPC architecture.
`UNKNOWN` Unknown architecture.
`X86` Intel x86 series of instruction set architectures.

### Method Summary

All Methods Static Methods Concrete Methods
`static Processor.Type` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Processor.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### X86

    public static final Processor.Type X86

Intel x86 series of instruction set architectures.

#### IA_64

    public static final Processor.Type IA_64

Intel Itanium 64-bit architecture.

#### PPC

    public static final Processor.Type PPC

Apple–IBM–Motorola PowerPC architecture.

#### UNKNOWN

    public static final Processor.Type UNKNOWN

Unknown architecture.

### Method Detail

#### values

    public static Processor.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Processor.Type c : Processor.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Processor.Type valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null